Skip to main content
GET
/
tax
/
transactions
/
{subaccountId}
List Transactions
curl --request GET \
  --url https://api.anchorage-staging.com/v2/tax/transactions/{subaccountId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "id": "9cd9f4d4-078b-4e44-a308-7662fec0f546",
      "type": "DEPOSIT",
      "transactionTime": "2022-07-30T22:15:31.99999Z",
      "received": {
        "assetType": "BTC",
        "costBasis": "2500",
        "quantity": "1.0"
      }
    },
    {
      "id": "3459f4d4-078b-4e44-a308-7662fec0f546",
      "type": "WITHDRAW",
      "transactionTime": "2022-07-30T22:15:31.99999Z",
      "sent": {
        "assetType": "BTC",
        "costBasis": "2500",
        "quantity": "1.0"
      }
    },
    {
      "id": "a2b4f4d4-078b-4e44-a308-7662fec0f546",
      "type": "TRADE",
      "transactionTime": "2022-07-30T22:15:31.99999Z",
      "received": {
        "assetType": "USD",
        "costBasis": "1",
        "quantity": "2500"
      },
      "sent": {
        "assetType": "BTC",
        "costBasis": "2500",
        "quantity": "1.0"
      },
      "fee": {
        "assetType": "USD",
        "costBasis": "1",
        "quantity": "0.01"
      }
    }
  ]
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

The ID of the subaccount

Query Parameters

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. The last valid start date is the current date. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

Response

Successfully returned list of transactions

data
Transaction · object[]
required
Example:
[
{
"id": "9cd9f4d4-078b-4e44-a308-7662fec0f546",
"type": "DEPOSIT",
"transactionTime": "2022-07-30T22:15:31.99999Z",
"received": {
"assetType": "BTC",
"costBasis": "2500",
"quantity": "1.0"
}
},
{
"id": "3459f4d4-078b-4e44-a308-7662fec0f546",
"type": "WITHDRAW",
"transactionTime": "2022-07-30T22:15:31.99999Z",
"sent": {
"assetType": "BTC",
"costBasis": "2500",
"quantity": "1.0"
}
},
{
"id": "a2b4f4d4-078b-4e44-a308-7662fec0f546",
"type": "TRADE",
"transactionTime": "2022-07-30T22:15:31.99999Z",
"received": {
"assetType": "USD",
"costBasis": "1",
"quantity": "2500"
},
"sent": {
"assetType": "BTC",
"costBasis": "2500",
"quantity": "1.0"
},
"fee": {
"assetType": "USD",
"costBasis": "1",
"quantity": "0.01"
}
}
]